#!/usr/bin/perl -w

print "Enter your class username (e.g. s09en66): " ;
$username = <STDIN>; 
chomp $username; 

print "Thank you. Please note that you will be required to type your class password\n";
print "correctly TWICE in order for the submission to be succesful.\n\n"; 

$filename = $ARGV[0];
$destdir = $ARGV[1];
$dest_filename = "${username}_${filename}"; 

############################################################################

print "\n\nCopying file to the paraleap server. \n"; 
$cmd = "scp ${filename} ${username}\@paraleap.ece.umd.edu:${destdir}/${dest_filename}";
$retval = system($cmd);
if ($retval != 0) {
    print "\n\nSubmission FAILED!!! Please check your username and/or password and try again\n";
    exit $retval;
}

############################################################################

print "\n\nChanging file permissions on the paraleap server. \n"; 
$cmd = "ssh ${username}\@paraleap.ece.umd.edu 'chmod 600 ${destdir}/${dest_filename}'";
$retval = system($cmd);
if ($retval != 0) {
    print "\n\nSubmission FAILED!!! Please check your username and/or password and try again\n";
    exit $retval;
}


print "\n\n\nSubmission SUCCESFUL. \n";
print "Your assignment has been packaged as $filename and submitted.\n";
print "You can check ${destdir}/${dest_filename} on the paraleap server to make sure it exists\n."
